Docs Navigation

Platform changelog

Current package versions are listed on the Supported application stack page.

1709 - 2017-09-26 (planned)

- additions
  - elixir 1.5.1
  - go 1.9
  - node.js 8.5.0
  - ruby 2.2.8
  - ruby 2.3.5
  - ruby 2.4.2
- upgrades
  - bundler 1.14.6 -> 1.15.4
  - chromedriver 2.30 -> 2.32
  - git 2.13.0 -> 2.14.1
  - google-chrome 59.0.3071.115 ->  61.0.3163.91
  - gradle 4.0 -> 4.1
  - java 1.7 u131 -> u151
  - java 1.8 u131 -> u144
  - node.js 6.11.1 -> 6.11.3
  - php 7.0.21 -> 7.0.23
  - php 7.1.7 -> 7.1.9
  - rabbitmq 3.6.10 -> 3.6.12
  - redis 3.2.9 -> 4.0.1
  - rubygems 2.4.8 -> 2.6.13
  - scala 2.12.2 -> 2.12.3
  - virtualenv 14.0.6 -> 15.1.0
  - yarn 0.27.5 -> 1.0.2

1707 - 2017-07-25

- additions
  - erlang/otp 20.0
- upgrades
  - cassandra 3.10 -> 3.11.0
  - docker 17.03 -> 17.06
  - docker-compose 1.13.0 -> 1.14.0
  - elixir 1.4.4 -> 1.4.5
  - heroku 6.11.17 -> 6.12.9
  - mongo 3.4.5 -> 3.4.6
  - node.js 8.1.2 -> 8.1.4
  - node.js 7.10.0 -> 7.10.1
  - node.js 6.11.0 -> 6.11.1
  - node.js 4.8.3 -> 4.8.4
  - php 7.1.6 -> 7.1.7
  - php 7.0.20 -> 7.0.21
  - php 5.6.30 -> 5.6.31
  - yarn 0.24.6 -> 0.27.5

1706 - 2017-06-27

- additions
  - node.js 8.1.2
  - node.js 6.11.0

- upgrades
  - chromedriver 2.29 -> 2.30
  - docker 1.12.6 -> 17.03
  - docker-compose 1.12.0 -> 1.13.0
  - elasticsearch 5.3.2 -> 5.4.1
  - elixir 1.4.2 -> 1.4.4
  - firefox 52.1.1esr -> 52.2.0esr
  - geckodriver 0.16.1 -> 0.17.0
  - golang 1.8.1 -> 1.8.3
  - golang 1.7.5 -> 1.7.6
  - google-chrome 58.0.3029.110 -> 59.0.3071.109
  - gradle 3.5 -> 4.0
  - heroku-cli 6.11.7 -> 6.11.17
  - jruby 9.1.8.0 -> 9.1.12.0
  - jruby 1.7.26 -> 1.7.27
  - mongodb 3.4.4 -> 3.4.5
  - php 7.1.5 -> 7.1.6
  - php 7.0.19 -> 7.0.20
  - phpunit 5.7.19 -> 5.7.20
  - postgresql 9.6.2 -> 9.6.3
  - pypy2 5.7.1 -> 5.8.0
  - pypy3 5.7.1 -> 5.8.0
  - rabbitmq 3.6.9 -> 3.6.10
  - rebar3 3.3.6 -> 3.4.1
  - redis 3.2.8 -> 3.2.9
  - wkhtmltopdf 0.12.3 -> 0.12.4
  - yarn 0.24.5 -> 0.24.6

1705.1 - 2017-06-15

- upgrades
  - heroku-cli 5.11.9 -> 6.11.7
- deprecations
  - heroku-toolbelt 3.43.16

1705 - 2017-05-23

- additions
  - ansible 2.3
  - node.js 7.10
  - ruby 2.4.1
  - ruby 2.3.4
  - ruby 2.2.7

- upgrades
  - bundler 1.12.5 -> 1.14.6
  - cassandra 2.2.8 -> 3.10
  - chromedriver 2.28 -> 2.29
  - google-chrome 57.0.2987.110 -> 58.0.3029.110
  - elasticsearch 5.2.2 -> 5.3.2
  - firefox 52.0.1esr -> 52.1.1esr
  - firefox 45.7.0esr -> 45.9.0esr
  - geckodriver 0.15.0 -> 0.16.1
  - go 1.8 -> 1.8.1
  - gradle 3.4 -> 3.5
  - maven 3.3.9 -> 3.5.0
  - mongodb 3.4.2 -> 3.4.4
  - mysql 5.6.35 -> 5.6.36
  - node.js 6.10.1 -> 6.10.3
  - node.js 4.8.1 -> 4.8.3
  - openjdk 7u121 -> 7u131
  - oracle jdk 8u121 -> 8u131
  - php 7.1.3 -> 7.1.5
  - php 7.0.17 -> 7.0.19
  - pypy 5.6.0 -> 5.7.1
  - pypy3 5.5.0 -> 5.7.1
  - rebar3 3.3.5 -> 3.3.6
  - sbt 0.13.13 -> 0.13.15
  - scala 2.12.1 -> 2.12.2
  - scala 2.11.8 -> 2.11.11
  - sphinx 2.0.4 -> 2.2.11
  - yarn 0.21.3 -> 0.24.5

v1703 - 2017-03-28

- additions
  - firefox 52.0.1 ESR
  - node.js 4.8.1
  - node.js 7.7.4
- upgrades
  - chromedriver 2.27 -> 2.28
  - google-chrome 56.0.2924.87 -> 57.0.2987.110
  - elasticsearch 1.3.9 -> 5.2.2
  - erlang 19.2 -> 19.3
  - geckodriver 0.14.0 -> 0.15.0
  - jruby 9.1.6.0 -> 9.1.8.0
  - node.js 6.10.0 -> 6.10.1
  - php 7.0.16 -> 7.0.17
  - php 7.1.2 -> 7.1.3
  - postgresql 9.4 -> 9.6
  - pypy 2.6.0 -> 5.6.0
  - pypy3 2.4.0 -> 5.5.0
  - rabbitmq 3.6.6 -> 3.6.8
  - rebar3 3.2.0 -> 3.3.5
  - yarn 0.20.3 -> 0.21.3

v1702 - 2017-02-28

- additions
  - geckodriver 0.14.0
  - go 1.8
  - node.js 7.6.0
  - node.js 6.10.0
  - ruby 2.2.6
- upgrades
  - elixir 1.4.0 -> 1.4.2
  - firefox 45.6.0 ESR -> 45.7.0 ESR
  - go 1.7.4 -> 1.7.5
  - google-chrome 55.0.2883.87 -> 56.0.2924.87
  - mongodb 3.4.1 -> 3.4.2
  - node.js 6.9.4 -> 6.9.5
  - node.js 4.7.2 -> 4.7.3
  - php 5.6.29 -> 5.6.30
  - php 7.0.14 -> 7.0.16
  - php 7.1.0 -> 7.1.2
  - redis 3.0.6 -> 3.2.8
  - yarn 0.19.1 -> 0.20.3

v1701 - 2017-01-24

- additions
  - elixir 1.4.0
  - node.js 7.4.0
  - python 3.6
  - scala 2.12.1
- upgrades
  - chromedriver 2.25 -> 2.27
  - docker-engine 1.12.2 -> 1.12.6
  - docker-compose 1.8.0 -> 1.9.0
  - erlang 19.1 -> 19.2
  - firefox 45.3.0 ESR -> 45.6.0 ESR
  - git 2.10.2 -> 2.11.0
  - go 1.6.3 -> 1.6.4
  - go 1.7.3 -> 1.7.4
  - mongodb 2.6.12 -> 3.4.1
  - mysql 5.6.34 -> 5.6.35
  - node.js 0.12.17 -> 0.12.18
  - node.js 4.7.0 -> 4.7.2
  - node.js 6.9.0 -> 6.9.4
  - openjdk 7u111 -> 7u121
  - oracle jdk 8u111 -> 8u121
  - php 5.6.28 -> 5.6.29
  - php 7.0.13 -> 7.0.14
  - rabbitmq 3.6.5 -> 3.6.6

v1611.1 - 2016-12-27

- additions
  - node.js 4.7.0
  - node.js 7.3.0
  - php 7.1.0
  - ruby 2.4.0

v1611 - 2016-11-22

- additions
  - node.js 7.1.0
  - ruby 2.3.3

- upgrades
  - chromedriver 2.24 -> 2.25
  - docker-engine 1.12.2 -> 1.12.3
  - git 2.10.1 -> 2.10.2
  - go 1.7.1 -> 1.7.3
  - jruby 9.1.5.0 -> 9.1.6.0
  - node.js 4.6.1 -> 4.6.2
  - oracle jdk 8u101 -> 8u111
  - php 5.6.27 -> php 5.6.28
  - php 7.0.12 -> 7.0.13
  - pip 8.1.2 -> 9.0.1

v1610 - 2016-10-25

- additions
  - node.js 4.6.1
  - node.js 6.9.1

- upgrades
  - cassandra 2.2.7 -> 2.2.8
  - docker-engine 1.12.1 -> 1.12.2
  - elixir 1.3.2 -> 1.3.4
  - erlang 19.0 -> 19.1
  - git 2.9.3 -> 2.10.1
  - gradle 3.0 -> 3.1
  - mysql 5.6.33 -> 5.6.34
  - node.js 0.10.46 -> 0.10.48
  - node.js 0.12.15 -> 0.12.17
  - php 5.6.26 -> 5.6.27
  - php 7.0.11 -> 7.0.12

v1609.1 - 2016-09-29

- downgrades
  - bundler 1.13.0 -> 1.12.5

v1609 - 2016-09-27

- additions
  - node.js 6.6.0
  - node.js 4.5.0
  - ecs-cli 0.4.4
- upgrades
  - bundler 1.12.5 -> 1.13.0
  - chromedriver 2.23 -> 2.24
  - docker-engine 1.12.0 -> 1.12.1
  - firefox 45.2.0 -> 45.3.0
  - go 1.7 -> 1.7.1
  - jruby 1.7.25 -> 1.7.26
  - jruby 9.1.2.0 -> 9.1.5.0
  - mysql 5.6.32 -> 5.6.33
  - php 5.6.24 -> 5.6.26
  - php 7.0.9 -> 7.0.11
  - rethinkdb 2.3.4 -> 2.3.5
  - wkhtmltopdf 0.9.9 -> 0.12.3

v1608 - 2016-08-23

- additions
  - go 1.7
- upgrades
  - chromedriver 2.22 -> 2.23
  - docker-machine 1.11.2 -> 1.12.0
  - docker-compose 1.7.1 -> 1.8.0
  - git 2.9.2 -> 2.9.3
  - mysql 5.6.31 -> 5.6.32
  - node.js 6.3.0 -> 6.3.1
  - openjdk 7u101 -> 7u111
  - oracle jdk 8u91 -> 8u101
  - php 7.0.8 -> 7.0.9
  - php 5.6.23 -> 5.6.24
  - php 5.5.37 -> 5.5.38
  - rabbitmq 3.6.3 -> 3.6.5

v1607 - 2016-07-26

- additions
  - elixir 1.3.2
  - erlang 19.0
  - node.js 6.3.0
- upgrades
  - bundler 1.11.2 -> 1.12.5
  - cassandra 2.2.6 -> 2.2.7
  - firefox 38.4.0 -> 38.8.0
  - firefox 45.0 -> 45.2.0
  - git 2.9.0 -> 2.9.2
  - go 1.6.2 -> 1.6.3
  - jruby 9.1.0.0 -> 9.1.2.0
  - node.js 6.2.0 -> 6.2.2
  - node.js 4.4.5 -> 4.4.7
  - node.js 0.12.14 -> 0.12.15
  - node.js 0.10.45 -> 0.10.46
  - openjdk 7u95 -> 7u101
  - php 7.0.7 -> 7.0.8
  - php 5.6.22 -> 5.6.23
  - php 5.5.36 -> 5.5.37
  - rabbitmq 3.6.2 -> 3.6.3

v1606 - 2016-06-21

- additions
  - node.js 6.2.1
  - qt 5.5.1
- upgrades
  - chromedriver 2.21 -> 2.22
  - docker-engine 1.11.1 -> 1.11.2
  - elixir 1.2.5 -> 1.2.6
  - git 2.8.2 -> 2.9.0
  - mysql 5.6.30 -> 5.6.31
  - node.js 4.4.4 -> 4.4.5
  - php 5.5.35 -> 5.5.36
  - php 5.6.21 -> 5.6.22
  - php 7.0.6 -> 7.0.7
  - rabbitmq 3.2.4 -> 3.6.2
  - rethinkdb 2.3.2 -> 2.3.4

v1605 - 2016-05-24

- additions
  - node.js 5.11.1
  - node.js 6.1.0
  - ruby 2.2.5
  - ruby 2.3.1
- upgrades
  - cassandra 2.2.5 -> 2.2.6
  - docker-engine 1.11.0 -> 1.11.1
  - docker-compose 1.6.0 -> 1.7.1
  - docker-machine 0.5.6 -> 0.7.0
  - elixir 1.2.4 -> 1.2.5
  - git 2.8.1 -> 2.8.2
  - go 1.6.1 -> 1.6.2
  - jruby 9.0.5.0 -> 9.1.0.0
  - node.js 0.10.44 -> 0.10.45
  - node.js 0.12.13 -> 0.12.14
  - node.js 4.4.3 -> 4.4.4
  - node.js 5.10.0 -> 5.10.1
  - oracle jdk 8u77 -> 8u91
  - php 5.5.34 -> 5.5.35
  - php 5.6.20 -> 5.6.21
  - php 7.0.5 -> 7.0.6
  - rethinkdb 2.3.0 -> 2.3.2

v1604 - 2016-04-26

- additions
  - node.js 5.10.1
  - ruby 2.1.9
- upgrades
  - elixir 1.2.2 -> 1.2.4
  - erlang 18.2.1 -> 18.3
  - go 1.5.3 -> 1.5.4
  - go 1.6 -> 1.6.1
  - oracle jdk 8u74 -> 8u77
  - jruby 1.7.21 -> 1.7.25
  - jruby 9.0.0.0 -> 9.0.5.0
  - mongodb 2.6.11 -> 2.6.12
  - mysql 5.6.29 -> 5.6.30
  - node.js 0.10.44 -> 0.10.45
  - node.js 0.12.12 -> 0.12.13
  - node.js 4.3.0 -> 4.3.4
  - php 5.5.33 -> 5.5.34
  - php 5.6.19 -> 5.6.20
  - php 7.0.4 -> 7.0.5
  - rethinkdb 2.2.5 -> 2.3.0

v1603 - 2016-03-22

- additions
  - firefox 45.0esr
  - go 1.6
  - node.js 4.4.0
  - node.js 5.8.0
- upgrades
  - git 2.7.1 -> 2.7.3
  - node.js 0.10.41 -> 0.10.43
  - node.js 0.12.10 -> 0.12.12
  - node.js 4.2.4 -> 4.2.6
  - node.js 4.3.0 -> 4.3.2
  - node.js 5.4.0 -> 5.4.1
  - oracle jdk 8u72 -> 8u74
  - php 5.5.32 -> 5.5.33
  - php 5.6.18 -> 5.6.19
  - php 7.0.3 -> 7.0.4
  - pip 8.0.1 -> 8.1.0
  - rethinkdb 2.2.3 -> 2.2.5
  - sbt 0.13.8 -> 0.13.11
  - scala 2.11.7 -> 2.11.8
  - virtualenv 13.1.2 -> 14.0.6

v1602 - 2016-02-23

- additions
  - node.js 4.3.0
  - node.js 5.6.0
  - phantomjs 2.1.1
- upgrades
  - bundler 1.10.6 -> 1.11.2
  - cassandra 2.2.4 -> 2.2.5
  - chromedriver 2.20 -> 2.21
  - elixir 1.2.0 -> 1.2.2
  - git 2.7.0 -> 2.7.1
  - mysql 5.6.28 -> 5.6.29
  - node.js 0.12.9 -> 0.12.10
  - openjdk 7u91 -> 7u95
  - oracle jdk 8u66 -> 8u72
  - php 5.5.31 -> 5.5.32
  - php 5.6.17 -> 5.6.18
  - php 7.0.0 -> 7.0.3
  - rethinkdb 2.2.3 -> 2.2.4

v1601 - 2016-01-19

  - additions
    - elixir 1.2.0
    - node.js 5.4.0
    - ruby 2.3.0
  - upgrades
    - erlang 18.1 -> 18.2.1
    - git 2.6.4 -> 2.7.0
    - go 1.5.2 -> 1.5.3
    - heroku-toolbelt 3.42.25 -> 3.42.27
    - node.js 4.2.3 -> 4.2.4
    - php 5.6.17
    - php 5.5.31
    - redis 3.0.5 -> 3.0.6
    - rethinkdb 2.2.1 -> 2.2.3

v1512 - 2015-12-22

  - additions
    - node.js 5.1.1
    - node.js 5.2.0
    - node.js 5.3.0
    - php 7.0.0
    - ruby 2.1.8
    - ruby 2.2.4
  - upgrades
    - cassandra 2.2.3 -> 2.2.4
    - go 1.5.1 -> 1.5.2
    - git 2.6.3 -> 2.6.4
    - heroku-toolbelt 3.42.22 -> 3.42.25
    - maven 3.3.3 -> 3.3.9
    - mysql 5.6.27 -> 5.6.28
    - node.js 0.10.40 -> 0.10.41
    - node.js 0.12.7 -> 0.12.9
    - node.js 4.2.1 -> 4.2.3
    - openjdk 7u85 -> 7u91
    - php 5.6.15 -> 5.6.16

v1511.1 - 2015-12-1

  - upgrades
    - heroku-toolbelt 3.42.21 -> 3.42.22

v1511 - 2015-11-24

  - additions
    - elixir 1.1.1
    - firefox 38.4.0esr
    - node.js 5.0.0
    - python 3.5
  - upgrades
    - chromedriver 2.19 -> 2.20
    - git 2.6.2 -> 2.6.3
    - openjdk7 update 79 -> update 85
    - oracle jdk8 update 60 -> update 66
    - php 5.6.14 -> 5.6.15
    - rethinkdb 2.1.5 -> 2.2.1

v1510 - 2015-10-20

  - additions
    - node.js 4.2.1
  - upgrades
    - cassandra 2.2.1 -> 2.2.3
    - git 2.5.2 -> 2.6.2
    - go 1.4.2 -> 1.4.3
    - io.js 3.3.0 -> 3.3.1
    - mysql 5.6.26 -> 5.6.27
    - node.js 4.0.0 -> 4.1.2
    - php 5.5.29 -> 5.5.30
    - php 5.6.13 -> 5.6.14
    - rethinkdb 2.1.3 -> 2.1.5
    - redis 3.0.4 -> 3.0.5
    - qtwebkit 5.4.1 -> 5.4.2

v1509 - 2015-09-22

  - additions
    - go 1.5.1
    - io.js 2.5.0
    - io.js 3.3.0
    - node.js 4.0.0
  - upgrades
    - cassandra 2.2.0 -> 2.2.1
    - chromedriver 2.18 -> 2.19
    - php 5.4.44 -> 5.4.45
    - php 5.5.28 -> 5.5.29
    - php 5.6.12 -> 5.6.13
    - redis 3.0.3 -> 3.0.4
    - rethinkdb 2.1.1 -> 2.1.3

v1508.1 - 2015-09-01

  - additions
    - ruby 2.1.7
  - upgrades
    - chromedriver 2.16 -> 2.18

v1508 - 2015-08-25

  - additions
    - ruby 2.2.3
  - upgrades
    - cassandra 2.1.8 -> 2.2.0
    - chromedriver 2.15 -> 2.16
    - mongodb 2.6.10 -> 2.6.11
    - mysql 5.6.25 -> 5.6.26
    - oracle jdk8 update 45 -> update 60
    - php 5.4.43 -> 5.4.44
    - php 5.5.27 -> 5.5.28
    - php 5.6.11 -> 5.6.12
    - qt 5.2.1 -> 5.4.1
    - redis 3.0.2 -> 3.0.3
    - rethinkdb 2.0.4 -> 2.1.1

v1507.1 - 2015-07-29

- additions
  - phantomjs 2.0.0
  - python 2.6
  - python 2.7
  - python 3.2
  - python 3.3
  - python 3.4
  - jruby 9.0.0.0
- upgrades
  - bundler 1.10.5 -> 1.10.6

v1507 - 2015-07-21

- upgrades
  - bundler 1.9.9 -> 1.10.5
  - cassandra 2.1.6 -> 2.1.8
  - elixir 1.0.4 -> 1.0.5
  - erlang 17.5 -> 18.0
  - git 2.4.3 -> 2.4.5
  - go 1.4 -> 1.4.2
  - io.js 1.8.2 -> 1.8.4
  - jruby 1.7.20.1 -> 1.7.21
  - maven 3.0.2 -> 3.3.3
  - node.js 0.12.4 -> 0.12.7
  - node.js 0.10.38 -> 0.10.40
  - php 5.4.42 -> 5.4.43
  - php 5.5.26 -> 5.5.27
  - php 5.6.10 -> 5.6.11
  - rethinkdb 2.0.3 -> 2.0.4
  - scala 2.11.6 -> 2.11.7

v1506 - 2015-06-23

- upgrades
  - bundler 1.9.7 -> 1.9.9
  - cassandra 2.1.5 -> 2.1.6
  - git 2.4.0 -> 2.4.3
  - io.js 1.8.1 -> 1.8.2
  - jruby 1.7.19 -> 1.7.20.1
  - mongodb 2.6.9 -> 2.6.10
  - mysql 5.6.24 -> 5.6.25
  - node.js 0.12.2 -> 0.12.4
  - php 5.4.40 -> 5.4.42
  - php 5.5.24 -> 5.5.26
  - php 5.6.8 -> 5.6.10
  - redis 3.0.1 -> 3.0.2
  - rethinkdb 2.0.1 -> 2.0.3

v1505 - 2015-05-19

- upgrades
  - bundler 1.9.3 -> 1.9.7
  - cassandra 2.1.4 -> 2.1.5
  - chromedriver 2.14 -> 2.15
  - git 2.3.5 -> 2.4.0
  - io.js 1.6.4 -> io.js 1.8.1
  - openjdk7 update 75 -> update 79
  - oracle jdk8 update 40 -> update 45
  - postgresql 9.3.7 -> 9.4.1
  - php 5.4.39 -> 5.4.40
  - php 5.5.23 -> 5.5.24
  - php 5.6.7 -> 5.6.8
  - redis 3.0.0 -> 3.0.1
  - rethinkdb 1.16.3 -> 2.0.1

v1504 - 2015-04-21

- additions
  - gradle 2.3
  - ruby 2.1.6
  - ruby 2.2.2
- upgrades
  - cassandra 2.1.3 -> 2.1.4
  - bundler 1.7.13 -> 1.9.3
  - elasticsearch 1.3.8 -> 1.3.9
  - elixir 1.0.3 -> 1.0.4
  - erlang 17.4 -> 17.5
  - io.js 1.5.1 -> 1.6.4
  - mongodb 2.6.8 -> 2.6.9
  - mysql 5.6.23 -> 5.6.24
  - node.js 0.10.37 -> 0.10.38
  - node.js 0.11.14 -> 0.11.16
  - node.js 0.12.0 -> 0.12.2
  - php 5.4.38 -> 5.4.39
  - php 5.5.22 -> 5.5.23
  - php 5.6.6 -> 5.6.7
  - redis 2.8.18 -> 3.0.0
  - rethinkdb 1.16.2 -> 1.16.3
  - sbt 0.13.7 -> 0.13.8

v1503 - 2015-03-24

- additions
  - ruby 2.2.1
- upgrades
  - git 2.3.0 -> 2.3.3
  - io.js 1.2.0 -> 1.5.1
  - mongodb 2.4.12 -> 2.6.8
  - node.js 0.10.36 -> 0.10.37
  - oracle jdk8 update 31 -> update 40
  - php 5.6.5 -> 5.6.6
  - php 5.5.21 -> 5.5.22
  - php 5.4.37 -> 5.4.38
  - scala 2.11.5 -> 2.11.6

v1502 - 2015-02-24

- additions
  - node 0.12.0
  - io.js 1.2.0
  - qt 5.2.1
- upgrades
  - chromedriver 2.13 -> 2.14
  - cassandra 2.1.1 -> 2.1.3
  - bundler 1.7.9 -> 1.7.13
  - elasticsearch 1.3.7 -> 1.3.8
  - elixir 1.0.2 -> 1.0.3
  - git 2.2.1 -> 2.3.0
  - jruby 1.7.18 -> 1.7.19
  - mysql 5.6.22 -> 5.6.23
  - node 0.10.35 -> 0.10.36
  - openjdk7 update 71 -> update 75
  - oracle jdk8 update 25 -> update 31
  - php 5.6.4 -> 5.6.5
  - php 5.5.20 -> 5.5.21
  - php 5.4.36 -> 5.4.37
  - rethinkdb 1.15.3 -> 1.16.2
  - scala 2.11.4 -> 2.11.5

v1501 - 2015-01-20

- upgrades:
  - chromedriver 2.12 -> 2.13
  - elasticsearch 1.3.2 -> 1.3.7
  - mongodb 2.4.9 -> 2.4.12
  - rethinkdb 1.15.2 -> 1.15.3
  - scala 2.11.2 -> 2.11.4

v1412.1 - 2014-12-30

- additions:
  - ruby 2.2.0
- upgrades:
  - elixir 1.0.1 -> 1.0.2
  - erlang 17.3 -> 17.4
  - git 2.2.0 -> 2.2.1
  - jruby 1.7.16 -> 1.7.18
  - node 10.31 -> 10.35
  - node 11.13 -> 11.14
  - postgis 2.1.4 -> 2.1.5
  - php 5.4.35 -> 5.4.36
  - php 5.5.19 -> 5.5.20
  - php 5.6.3 -> 5.6.4

v1412 - 2014-12-23

- additions:
  - go 1.4
- upgrades:
  - bundler 1.7.3 -> 1.7.9
  - firefox 33.0 -> 34.0
  - git 2.1.3 -> 2.2.0
  - libmysqlclient 5.6.21 -> 5.6.22
  - php 5.4.34 -> 5.4.35
  - php 5.5.18 -> 5.5.19
  - php 5.6.2 -> 5.6.3
  - redis 2.8.17 -> 2.8.18

v1411.1 - 2014-11-27

- additions:
  - rabbitmq 3.2.4
- upgrades:
  - phantomjs 1.9.8 -> 1.9.8 (incl. guard-jasmine fix)

v1411 - 2014-11-25

- additions:
  - ruby 2.1.5
- upgrades:
  - chromedriver 2.9 -> 2.12
  - git 2.1.1 -> 2.1.3
  - chrome 38.0.2125.104 -> 39.0.2171.85
  - libmysqlclient-dev 5.5.40 -> 5.6.21
  - php 5.4.33 -> 5.4.34
  - php 5.5.17 -> 5.5.18
  - php 5.6.1 -> 5.6.2
  - rethinkdb 1.15.1 -> 1.15.2
  - ruby 1.9.3p547 -> 1.9.3p551
  - ruby 2.0.0p481 -> 2.0.0p598

v1410.1 - 2014-10-31

- additions:
  - ruby 2.1.4
- upgrades:
  - openjdk7 update 65 -> update 71
  - cassandra 2.1.0 -> 2.1.1
- downgrades
  - qt 4.8.5 -> 4.8.1

v1410 - 2014-10-23

- additions:
  - elixir 1.0.1
  - erlang 17.3
  - cassandra 2.10
  - maven 3.0.5
  - oracle jdk8 update 20
  - postgis 2.1.4
  - rethinkdb 1.15.1
  - scala 2.11.2
- upgrades:
  - firefox 32 -> 33
  - git 2.1.0 -> 2.1.1
  - jruby 1.7.15 -> 1.7.16
  - php 5.4.32 -> 5.4.33
  - php 5.5.16 -> 5.5.17
  - php 5.6.0 -> 5.6.1
  - qt 4.8.1 -> 4.8.5

v1409 - 2014-09-24

- additions:
  - php 5.6.0
  - ruby 2.1.3
- upgrades:
  - bundler 1.6.3 -> 1.7.3
  - elasticsearch 1.2.1 -> 1.3.2
  - firefox 30 -> 32
  - git 2.0.1 -> 2.1
  - jruby 1.7.13 -> 1.7.15
  - nodejs 0.8.27 -> 0.8.28
  - nodejs 0.10.29 -> 0.10.31
  - php 5.4.30 -> 5.4.32
  - php 5.5.14 -> 5.5.16
  - ruby 1.9.2p320 -> 1.9.2p330
  - ruby 1.9.3p545 -> 1.9.3p547

v1407 - 2014-07-07

- additions:
  - aws cli
- upgrades:
  - firefox 29 -> 30
  - elasticsearch 1.1.1 -> 1.2.1
  - bundler 1.6.2 -> 1.6.3
  - jruby 1.7.12 -> 1.7.13
  - php 5.4.28 -> 5.4.30
  - php 5.5.12 -> 5.5.14
  - nodejs 0.8.26 -> 0.8.27
  - nodejs 0.10.28 -> 0.10.29

v1405.2 - 2014-05-28

- additions:
  - php 5.3.28
  - php 5.4.28
  - php 5.5.12
  - phpbrew 1.13.1
- upgrades:
  - nodejs 0.11.10 -> 0.11.13

v1405.1 2014-05-15

- additions:
  - ruby 2.1.2
- upgrades:
  - ruby 2.0.0-p451 -> 2.0.0-p481

v1405 - 2014-05-05

- upgrades:
  - bundler 1.5.3 -> 1.6.2
  - elasticsearch 1.0.1 -> 1.1.1
  - firefox 27 -> 29
  - jruby 1.7.11 -> 1.7.12
  - mysql 5.5 -> 5.6
  - redis 2.8.6 -> 2.8.9
- other:
  - timezone changed from UTC+1 to UTC

2014-03-05

- additions:
  - ruby 2.1.1
- upgrades:
  - bundler 1.5.3
  - chromedriver 2.9
  - elasticsearch 1.0.1
  - firefox 27
  - google-chrome-stable 33
  - grunt 0.1.13
  - mongodb 2.4.9
  - node.js 0.10.26, 0.11.11
  - npm 1.4.3
  - phantomjs 1.9.7
  - ruby 1.9.3-p545, 2.0.0-p451
  - rubygems 2.2.2

2014-01-30

- upgrades:
  - chromedriver 2.8

2014-01-24

- nodejs now set up via nvm
- nodejs versions available:
  - 0.8.26
  - 0.10.24
  - 0.11.10
  - npm version is 1.3.21
- other upgrades:
  - chrome 32

2013-12-30

- grunt-cli (0.1.11) and bower (1.2.8) available globally for node.js projects
- elasticsearch default configuration changed to avoid possible race conditions:
  - index.number_of_shards: 1
  - index.number_of_replicas: 0
- screen resolution (via xvfb) increased from 1024x768 to 1900x1200
- added leiningen (2.3.4) for building clojure projects
- upgrades:
  - ruby 2.1.0 final
  - jruby 1.7.9
  - nodejs 0.10.24
  - elasticsearch 0.90.9
  - firefox 26
  - redis 2.8.3

2013-11-29

- upgrades:
  - ruby 2.1.0-preview2
  - ruby 2.0.0-p353
  - ruby 1.9.3-p484
  - jruby 1.7.8
  - rubygems 2.1.11
  - chrome 31.0
  - elasticsearch 0.90.7
  - mongodb 2.4.8
  - nodejs 0.10.22
  - phantomjs 1.9.2
  - redis 2.8.1

2013-11-02

- Ruby 2.1.0-preview1 available via rbenv
- default locale is en_US.UTF-8, instead of C.UTF-8
- upgrades:
  - firefox  25.0
  - mongodb  2.4.7
  - postgres 9.3.1

2013-10-18

- upgrades:
  - all ruby version include the latest rubygems (currently 2.1.9)
  - jruby 1.7.5

2013-10-02

- upgrades:
  - git           1.8.4
  - redis         2.6.16
  - mysql         5.5.32
  - java          7u25-2.3.10
  - nodejs        0.10.20
  - elasticsearch 0.90.5
  - firefox       24.0
  - chrome        30.0
  - chromedriver  2.4

2013-07-07

- ruby 1.9.3 is the default for new projects
- removed ruby 1.9.3-p327
- added heroku client 2.39.4
- upgrades:
  - ruby          2.0.0-p247
  - ruby          1.9.3-p448
  - jruby         1.7.4
  - bundler       1.3.5
  - nodejs        0.10.12
  - phantomjs     1.9.1
  - elasticsearch 0.90.2
  - firefox       22.0
  - chrome        28.0

Semaphore Docs are open source — Edit on GitHub

Newsletter

Occasional lightweight product and blog updates. Unsubscribe at any time.

2009-2017 © Rendered Text. All rights reserved. Terms of Service, Privacy policy, Security.